> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeplo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# PUT Update Webhook

> Update a webhook configuration.

## Update webhook

`PATCH /api/webhook-configs/:id`

Update a webhook's URL, events, or status.

### Headers

**Cookie** `string` *required*

Session cookie (login via POST /api/auth/login)

```bash cURL theme={null}
curl -X PATCH https://zeplo.ai/api/webhook-configs/1 \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
  -H "Content-Type: application/json" \
  -d '{
    "events": ["message.received", "message.delivered"]
  }'
```

```json Response theme={null}
{
  "success": true,
  "data": {
    "id": 1,
    "url": "https://your-app.com/webhook",
    "events": ["message.received", "message.delivered"],
    "updatedAt": "2026-01-15T14:00:00Z"
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.